public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-libs/libnftnl/
Date: Tue,  3 Dec 2019 07:03:45 +0000 (UTC)	[thread overview]
Message-ID: <1575356621.21fb2adae915c0f01bb8b5df2251e3c547cce00a.polynomial-c@gentoo> (raw)

commit:     21fb2adae915c0f01bb8b5df2251e3c547cce00a
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Tue Dec  3 07:01:29 2019 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Tue Dec  3 07:03:41 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=21fb2ada

net-libs/libnftnl: Bump to version 1.1.5

Package-Manager: Portage-2.3.80, Repoman-2.3.19
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 net-libs/libnftnl/Manifest              |  1 +
 net-libs/libnftnl/libnftnl-1.1.5.ebuild | 47 +++++++++++++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/net-libs/libnftnl/Manifest b/net-libs/libnftnl/Manifest
index 902a7fc23c0..034eb80ab29 100644
--- a/net-libs/libnftnl/Manifest
+++ b/net-libs/libnftnl/Manifest
@@ -1,2 +1,3 @@
 DIST libnftnl-1.1.3.tar.bz2 366521 BLAKE2B 9a46a46b68fd6d3e0ffc3d28713ee9a70017dd4d05763a49a655f172ae77928d9b54554e7609851f3a18e9465c53f53c1828311162013bc067493e4e02ff3fb8 SHA512 3fb96ea1a8bc9eb00fa2cf79f64cc9613250e8b97de6e90e440c7c44e92789e7c7fd603b7347bb02d9d74af725cf8fde5d2e435c5ffdcb784316c67b83ddf0fe
 DIST libnftnl-1.1.4.tar.bz2 368262 BLAKE2B e5f396b582221b9f9a7d3303d65548e3597474b1cedf931728f3105b04a851eeeeff98fd2a49772f29849a9094c2e0cfef7d500050e8f205565e8dfd1ec7a49d SHA512 6fe248b1340decc1ec8ae40dd0ed60b8d4b819c2f36f2399d39e13e92fc5e6f6ec693b736d6c188bff954afb2bf2dbce67d54a9e664b45f43288b2c5c6cc08f6
+DIST libnftnl-1.1.5.tar.bz2 373930 BLAKE2B cfd06084fb7de5dd6120a22faa43ac578f170e5209564579ff26bdf49e2b70b5b3944275861e32fcc7f6f2bb1d9f43bf51157665d0d5faea259e14cf930030c0 SHA512 a0495e1a99ea9efcf3994db48e50943023ff3d8101055887574ff4eb6b0df8600cf7db68a9c91ca02bbbcc1f01099b008649f88321bb956897bcc90eb4167ee7

diff --git a/net-libs/libnftnl/libnftnl-1.1.5.ebuild b/net-libs/libnftnl/libnftnl-1.1.5.ebuild
new file mode 100644
index 00000000000..c7dd0aecc73
--- /dev/null
+++ b/net-libs/libnftnl/libnftnl-1.1.5.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools linux-info toolchain-funcs usr-ldscript
+
+DESCRIPTION="Netlink API to the in-kernel nf_tables subsystem"
+HOMEPAGE="https://netfilter.org/projects/nftables/"
+SRC_URI="https://netfilter.org/projects/${PN}/files/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0/11" # libnftnl.so version
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="examples static-libs test"
+
+RDEPEND=">=net-libs/libmnl-1.0.3"
+BDEPEND="virtual/pkgconfig"
+DEPEND="${RDEPEND}"
+
+pkg_setup() {
+	if kernel_is ge 3 13; then
+		CONFIG_CHECK="~NF_TABLES"
+		linux-info_pkg_setup
+	else
+		eerror "This package requires kernel version 3.13 or newer to work properly."
+	fi
+}
+
+src_configure() {
+	local myeconfargs=(
+		$(use_enable static-libs static)
+	)
+	econf "${myeconfargs[@]}"
+}
+
+src_install() {
+	default
+	gen_usr_ldscript -a nftnl
+	find "${ED}" -type f -name '*.la' -delete || die
+
+	if use examples; then
+		find examples/ -name 'Makefile*' -delete || die "Could not rm examples"
+		dodoc -r examples
+		docompress -x /usr/share/doc/${PF}/examples
+	fi
+}


             reply	other threads:[~2019-12-03  7:03 UTC|newest]

Thread overview: 168+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-12-03  7:03 Lars Wendler [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-02 23:12 [gentoo-commits] repo/gentoo:master commit in: net-libs/libnftnl/ Patrick McLean
2024-09-01 17:04 Arthur Zamarin
2024-08-29  3:51 Sam James
2024-08-29  3:51 Sam James
2024-08-29  3:15 Sam James
2024-08-29  2:35 Sam James
2024-08-29  2:35 Sam James
2024-08-29  2:35 Sam James
2024-07-16  6:59 Sam James
2024-04-17  5:37 Arthur Zamarin
2024-03-24 12:12 Sam James
2024-03-24 12:12 Sam James
2024-03-24 11:34 Sam James
2024-03-24 11:34 Sam James
2024-03-24 11:34 Sam James
2024-03-24 11:29 Sam James
2024-03-24 11:29 Sam James
2024-02-20  5:24 Sam James
2024-02-20  5:06 Sam James
2023-08-20  8:11 Sam James
2023-08-19 11:38 Sam James
2023-08-19 11:38 Sam James
2023-08-19 11:38 Sam James
2023-08-19  7:53 Arthur Zamarin
2023-08-19  6:58 Arthur Zamarin
2023-08-19  6:35 Sam James
2023-08-19  6:35 Sam James
2023-07-15 13:18 Sam James
2023-04-23 22:35 Sam James
2023-04-23 21:17 Sam James
2023-04-23 20:32 Sam James
2023-04-23 20:32 Sam James
2023-04-23 20:23 Sam James
2023-04-23 20:22 Sam James
2023-04-23 20:08 Sam James
2023-04-23 20:07 Sam James
2023-03-09 23:46 Sam James
2022-12-26  3:54 Sam James
2022-12-26  3:20 Sam James
2022-12-25 21:24 Sam James
2022-12-25 20:23 Arthur Zamarin
2022-12-25 20:15 Sam James
2022-12-25 20:14 Arthur Zamarin
2022-12-25 20:12 Arthur Zamarin
2022-12-25 20:11 Sam James
2022-12-25 20:09 Arthur Zamarin
2022-11-12  3:14 Matt Turner
2022-10-11 18:26 Sam James
2022-10-11 17:15 Arthur Zamarin
2022-10-11  9:19 Agostino Sarubbo
2022-10-11  9:19 Agostino Sarubbo
2022-10-11  6:46 Agostino Sarubbo
2022-10-10 23:36 Sam James
2022-10-10 23:36 Sam James
2022-10-10 22:35 Sam James
2022-09-23  2:14 Sam James
2022-09-16 18:01 Arthur Zamarin
2022-09-16 17:45 Arthur Zamarin
2022-09-15 19:58 Arthur Zamarin
2022-09-08 11:35 Agostino Sarubbo
2022-09-08 11:24 Agostino Sarubbo
2022-09-08  7:26 Agostino Sarubbo
2022-09-07 13:16 Agostino Sarubbo
2022-09-07 13:15 Agostino Sarubbo
2022-08-10  1:16 Patrick McLean
2022-08-10  1:16 Patrick McLean
2022-06-15 13:12 Sam James
2022-06-07 20:31 Patrick McLean
2022-04-25 15:06 Sam James
2022-04-17 17:12 Sam James
2022-03-27  2:58 Sam James
2022-03-27  2:58 Sam James
2022-02-13 14:58 Sam James
2022-02-10 11:43 Sam James
2022-02-10 11:43 Sam James
2022-02-10 10:17 Sam James
2022-02-10 10:17 Sam James
2022-02-10 10:12 Sam James
2022-02-10  9:59 Sam James
2022-02-10  9:50 Sam James
2021-11-19 18:18 Patrick McLean
2021-09-04 17:35 David Seifert
2021-08-14  3:48 Sam James
2021-08-11 23:10 Sam James
2021-08-11  0:24 Sam James
2021-08-11  0:12 Sam James
2021-08-11  0:02 Sam James
2021-08-10 15:36 Agostino Sarubbo
2021-05-26  8:51 Lars Wendler
2021-05-09  6:01 Sam James
2021-05-09  1:29 Sam James
2021-05-08 18:58 Sam James
2021-05-08 18:55 Sam James
2021-05-08 18:49 Sam James
2021-05-08 18:44 Sam James
2021-05-08 18:41 Sam James
2021-04-16 10:25 David Seifert
2021-01-16 23:36 Lars Wendler
2020-10-27 17:58 Patrick McLean
2020-09-07  8:47 Sergei Trofimovich
2020-09-06  7:49 Sergei Trofimovich
2020-08-29 23:50 Sam James
2020-08-18 11:22 Agostino Sarubbo
2020-08-18 11:18 Agostino Sarubbo
2020-08-18 11:16 Agostino Sarubbo
2020-08-17 14:52 Agostino Sarubbo
2020-08-17 12:20 Sam James
2020-07-23  2:06 Patrick McLean
2020-06-07  0:18 Patrick McLean
2020-04-16 18:05 Sergei Trofimovich
2020-04-02  7:47 Lars Wendler
2020-01-27 12:06 Mikle Kolyada
2020-01-13  9:10 Agostino Sarubbo
2020-01-13  9:06 Agostino Sarubbo
2020-01-13  9:04 Agostino Sarubbo
2020-01-10  1:26 Thomas Deutschmann
2020-01-09 12:47 Agostino Sarubbo
2019-12-03  8:29 Lars Wendler
2019-08-27  7:35 Matt Turner
2019-08-23 17:02 Lars Wendler
2019-07-29  2:35 Matt Turner
2019-07-28 19:58 Mikle Kolyada
2019-07-22 19:01 Aaron Bauman
2019-07-03  7:11 Agostino Sarubbo
2019-07-02 12:36 Agostino Sarubbo
2019-07-02 12:35 Agostino Sarubbo
2019-07-02 11:55 Agostino Sarubbo
2019-07-02 10:33 Agostino Sarubbo
2019-07-02 10:30 Agostino Sarubbo
2019-05-28  0:41 Lars Wendler
2019-05-28  0:41 Lars Wendler
2019-05-05 12:36 Mikle Kolyada
2018-11-28 22:30 Matt Turner
2018-11-14 21:51 Sergei Trofimovich
2018-11-14 10:03 Lars Wendler
2018-11-14  7:22 Matt Turner
2018-11-14  7:22 Matt Turner
2018-11-13 22:26 Matt Turner
2018-09-17 23:10 Matt Turner
2018-09-17 23:10 Matt Turner
2018-06-27 22:26 Mart Raudsepp
2018-06-11 11:42 Lars Wendler
2018-06-11 11:42 Lars Wendler
2018-05-02 13:57 Lars Wendler
2018-03-28  9:29 Matt Turner
2018-01-18 14:21 Lars Wendler
2018-01-10  6:19 Markus Meier
2018-01-04 20:40 Mikle Kolyada
2018-01-04 10:57 Lars Wendler
2017-12-25  9:28 Sergei Trofimovich
2017-12-19 15:46 Thomas Deutschmann
2017-10-18  6:08 Lars Wendler
2017-10-17 14:12 Lars Wendler
2017-10-17 14:12 Lars Wendler
2017-07-23 12:16 Manuel Rüger
2017-07-02 14:46 Sergei Trofimovich
2017-06-30  5:30 Alexis Ballier
2017-01-07 21:46 Robin H. Johnson
2017-01-04 15:29 Agostino Sarubbo
2016-06-26 11:43 Patrice Clement
2016-06-07 13:01 Tobias Klausmann
2015-12-23 21:09 Anthony G. Basile
2015-12-23 11:17 Jeroen Roovers
2015-10-10 21:22 Mike Frysinger
2015-10-06 13:27 Manuel Rüger
2015-09-19 19:44 Manuel Rüger
2015-09-17  8:47 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1575356621.21fb2adae915c0f01bb8b5df2251e3c547cce00a.polynomial-c@gentoo \
    --to=polynomial-c@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox